Gtk2::Pango::LayoutIter(3)

NAME
Gtk2::Pango::LayoutIter

HIERARCHY
  Glib::Boxed
  +----Gtk2::Pango::LayoutIter

METHODS

  boolean = $iter->at_last_line

  integer = $iter->get_baseline

  array reference = $iter->get_char_extents

  list = $iter->get_cluster_extents

  integer = $iter->get_index

  list = $iter->get_layout_extents

  layout = $iter->get_layout
Since: pango 1.20

  list = $iter->get_line_extents

  layoutline = $iter->get_line

  layoutline = $iter->get_line_readonly
Since: pango 1.16

  (y0_, y1_) = $iter->get_line_yrange

  boolean = $iter->next_char

  boolean = $iter->next_cluster

  boolean = $iter->next_line

  boolean = $iter->next_run

  list = $iter->get_run_extents

SEE ALSO
Gtk2, Glib::Boxed

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.